Package org.silverpeas.components.classifieds.servlets.handler

# Class ClassifiedRefuseHandler

java.lang.Object
org.silverpeas.components.classifieds.servlets.FunctionHandler
org.silverpeas.components.classifieds.servlets.handler.ClassifiedValidationHandler
org.silverpeas.components.classifieds.servlets.handler.ClassifiedRefuseHandler

public class ClassifiedRefuseHandler extends ClassifiedValidationHandler
Use Case : for all users, show all adds of given category

Author:
  Ludovic Bertin

- ## Field Summary

  ### Fields inherited from class org.silverpeas.components.classifieds.servlets.FunctionHandler

  `ROOT_DESTINATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassifiedRefuseHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestination(ClassifiedsSessionController classifiedsSC, org.silverpeas.core.web.http.HttpRequest request)`
  Process the request and returns the response url.

  ### Methods inherited from class org.silverpeas.components.classifieds.servlets.handler.ClassifiedValidationHandler

  `nextDestination`

  ### Methods inherited from class org.silverpeas.components.classifieds.servlets.FunctionHandler

  `computeDestination, getPublicationTemplate, getSubscriptionFields, isAnonymousAccess, setDataRecord`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassifiedRefuseHandler

    public ClassifiedRefuseHandler()

- ## Method Details

  - ### getDestination

    public String getDestination(ClassifiedsSessionController classifiedsSC, org.silverpeas.core.web.http.HttpRequest request) throws Exception
    Description copied from class: `FunctionHandler`
    Process the request and returns the response url.
    Specified by:
      `getDestination` in class `FunctionHandler`
    Parameters:
      `classifiedsSC` - the user request context
      `request` - the user request params
    Throws:
      `Exception`